//-----------------------------------------------------------------------------
// File: particle.fx
//
// Description:
//
// Copyright (c) 2001 - 2015 Derek Long. All Right Reserved
//-----------------------------------------------------------------------------



float4x4 WorldView;
float4x4 Projection;

texture g_Texture0;

sampler2D g_samScene = sampler_state
{
    Texture = <g_Texture0>;
    MinFilter = Linear;
    MagFilter = Linear;
    MipFilter = Linear;
    AddressU  = WRAP;        
    AddressV  = WRAP;
    AddressW  = WRAP;    
};



void VSDX8( float4 iPos : POSITION,
				float4 iColor : COLOR0,				
                float2 iTex : TEXCOORD0,
                out float4 oPos : POSITION,
                out float4 oColor : COLOR0,                
                out float2 oTex : TEXCOORD0)
                
{
	// Propogate color
	oColor = iColor;	
   
    // Transform position to view space
    float4 vPos = mul( iPos, WorldView );

    // Transform to screen coord
    oPos = mul( vPos, Projection );    

    // Propagate texture coord
    oTex = iTex;            
}

float4 PSDX8(float4 Diffuse : COLOR0,			 
			 float2 Tex : TEXCOORD0) : COLOR
{
    float4 FinalColor,Texture;
    
    	
	Texture = tex2D( g_samScene, Tex );
	FinalColor = Diffuse * Texture;
	//FinalColor = float4(0,1,0,1);
			        
    return FinalColor;    
}


 






technique DX8
{
    pass p0
    {
		Lighting         = FALSE;
        CullMode         = NONE;
		ZENABLE          = FALSE;//TRUE;
		ZWriteEnable     = FALSE;
		AlphaBlendEnable = TRUE;
		AlphaTestEnable  = FALSE;        
		SrcBlend         = SRCALPHA;
        DestBlend        = INVSRCALPHA;        
        FOGENABLE        = FALSE;
    
        VertexShader = compile vs_2_0 VSDX8();
        PixelShader  = compile ps_2_0 PSDX8();
    }
}
