//-----------------------------------------------------------------------------
// File: sprite.fx
//
// Description:
//
// Copyright(c) 2001 - 2007 Derek Long. All rights reserved
//-----------------------------------------------------------------------------



float4x4 WorldViewProjection  : WORLDVIEWPROJECTION;


sampler Sampler = sampler_state
{
	AddressU  = CLAMP;        
    AddressV  = CLAMP;
    AddressW  = CLAMP;

    MipFilter = NONE;
    MinFilter = LINEAR;
    MagFilter = LINEAR;	
};

//-----------------------------------------------------------------------------
// Vertex Shader: VertScene
// Desc: Process vertex for scene
//-----------------------------------------------------------------------------
void VertScene( float4 iPos : POSITION,
				float4 iColor : COLOR0,                
                float2 iTex : TEXCOORD0,
                out float4 oPos : POSITION,
                out float4 oColor : COLOR0,
                out float2 oTex : TEXCOORD0)
{	
	oPos = mul(iPos, WorldViewProjection);    
    oColor = iColor;
    oTex = iTex;
}




//-----------------------------------------------------------------------------
// Pixel Shader: PixScene
// Desc: Process pixel (do per-pixel lighting) for enabled scene
//-----------------------------------------------------------------------------
float4 PixScene( float4 Color : COLOR0,
				 float2 Tex : TEXCOORD0) : COLOR
{
    float4 FinalColor,Texture;
    
    
	Texture = tex2D( Sampler, Tex );
	FinalColor = Color * Texture;	           

    return FinalColor;
}

technique DefaultOld
{
    pass P0
    {
		Lighting         = FALSE;
        SpecularEnable   = FALSE;
		ZENABLE          = FALSE;
		ZWriteEnable     = FALSE;
		CULLMODE         = NONE;
		ALPHABLENDENABLE = TRUE;
		ALPHATESTENABLE  = FALSE;
		SrcBlend         = SRCALPHA;
        DestBlend        = ONE;		
		FOGENABLE        = FALSE;
		
																   
		// shaders		
		VertexShader = compile vs_2_0 VertScene();
        PixelShader = compile ps_2_0 PixScene();       
    }
}

/*
technique Default
{
    pass P0
    {
		ZENABLE = FALSE;
		ALPHABLENDENABLE = TRUE;
		ALPHATESTENABLE = FALSE;
		
								
								   
		// shaders		
		VertexShader = compile vs_3_0 VertScene();
        PixelShader = compile ps_3_0 PixScene();       
    }
}*/



